Subject: git-svn and http client-side certificates

From: Tzafrir Cohen <[email-masked]>
Date: Sat, 31 May 2008 10:42:42 +0300

Hi

How do I make git-svn authenticate with client-side certificates?

Using strace, I can see that it reads my ~/.subversion/servers file and 
checks my (encrypted) certificate. But then ssl_client_cert_pw is called
rather than ssl_client_cert (both are from Git::SVN::Prompt).

I couldn't find any useful hints.

I had a similar problem with Svk. I ended up patching SVN::Mirror::Ra to
behave differently in the presence of a specific environment variable,
which is quite non-elegant: the subversion client should know when to
use a certificate.

-- 
               Tzafrir Cohen
icq#16849755              jabber:[email-masked]
+972-50-7952406           mailto:[email-masked]
http://www.xorcom.com  iax:[email-masked]/tzafrir